Subject: Re: B20.1: Still problems with mktime()
From: DJ Delorie <[email-masked]>

28 Jan 1999 11:09:46 -0500
Message-ID: <[email-masked]>
References: <3.0.5.32.19990127142805.033256d0.cygnus.gnu-win32@localhost>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.5 [en] (X11; I; Linux 2.1.126 i586)
X-Accept-Language: en

Henrik Frystyk Nielsen wrote:
> 
> It seems to forget to adjust for timezone. This has been discussed before:
> 
>         http://www.egroups.com/list/gnu-win32/mg1292806488.html
> 
> where it says:
> 
>         The current implementation (B19) of mktime (time.h)
>         incorrectly assumes that the given argument of the
>         type "struct *tm" represents GMT, and not local time
>         as it is supposed to do. It also ignores the field tm_isdst.
> 
> and it also proposes a fix. Has this fix been applied or is something else
> wrong?

If you're using NT, it's a bug in NT.  Go to the timezone setup in NT
and toggle the "automatically adjust for dst" flag.  You might need
to adjust your clock time when you do that.